/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef CXP_MIME_CMD_DIALOG_H
#define CXP_MIME_CMD_DIALOG_H

#include <gtk/gtk.h>
#include <glib-object.h>

G_BEGIN_DECLS

#define CXP_TYPE_MIME_CMD_DIALOG         (cxp_mime_cmd_dialog_get_type ())
#define CXP_MIME_CMD_DIALOG(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), CXP_TYPE_MIME_CMD_DIALOG, CxpMimeCmdDialog))
#define CXP_MIME_CMD_DIALOG_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), CXP_TYPE_MIME_CMD_DIALOG, CxpMimeCmdDialogClass))
#define CXP_IS_MIME_CMD_DIALOG(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), CXP_TYPE_MIME_CMD_DIALOG))
#define CXP_IS_MIME_CMD_DIALOG_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), CXP_TYPE_MIME_CMD_DIALOG))
#define CXP_MIME_CMD_DIALOG_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), CXP_TYPE_MIME_CMD_DIALOG, CxpMimeCmdDialogClass))

typedef struct CxpMimeCmdDialogPrivate CxpMimeCmdDialogPrivate;

typedef struct {
	GtkDialog parent;
	CxpMimeCmdDialogPrivate *priv;
} CxpMimeCmdDialog;

typedef struct {
	GtkDialogClass parent;
	/* Add Signal Functions Here */
} CxpMimeCmdDialogClass;

GType cxp_mime_cmd_dialog_get_type();
GtkWidget *cxp_mime_cmd_dialog_new(const gchar *mime_type);

#endif /* CXP_MIME_CMD_DIALOG_H */
